Get all board parameters with pagination

This request returns parameters of all issue boards created in your organization with relative pagination support. This request returns no more than 500 records.

GET

https://api.tracker.yandex.net/v3/boards/_paginate

Request format

Before you send a request, get access to the API.

To get parameters of all issue boards, send an HTTP GET request.

GET /v3/boards/_paginate
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth-token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
Headers
  • Host: address of the node that provides the API.

  • Authorization: Authorization token about these formats:

    • OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more

  • X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Cloud Organization.

    To get the organization ID, go to AdministrationOrganizations and copy the value from the ID field.

Request parameters

Additional parameters

Parameter Description Data type
perPage The number of items per page, no more than 500. Number
id The board ID to start the next page of results from. Used for pagination. Number

Pagination mechanism

The request uses relative pagination:

  • Items are sorted in ascending order of board ID.
  • To get the next page, use the ID of the last board from the previous page as the value of the id parameter.

Example of sequential requests

  1. First request:

    GET /v3/boards/_paginate?perPage=20
    
  2. Next request:

    GET /v3/boards/_paginate?perPage=20&id=<last_board_id>
    

Response format

If the request is successful, the API returns a response with code 200 OK.

The response body contains a JSON array with parameters of all boards created by users in your organization.

[
  {
    "self": "https://api.tracker.yandex.net/v3/boards/1",
    "id": 1,
    "version": 1,
    "name": "My board",
    "createdAt": "2026-01-22T09:02:18.647+0000",
    "updatedAt": "2026-01-22T09:02:18.647+0000",
    "createdBy": {
        "self": "https://api.tracker.yandex.net/v3/users/112000***",
        "id": "username",
        "display": "User Name",
        "cloudUid": "ajevuhegoggfk*******",
        "passportUid": 112000***
    },
    "columns": [
    {
        "self": "https://api.tracker.yandex.net/v3/boards/1/columns/1",
        "id": "1",
        "display": "Open"
    },
    ...
    ],
    "useRanking": false,
    "estimateBy": {
        "self": "https://api.tracker.yandex.net/v3/fields/storyPoints",
        "id": "storyPoints",
        "display": "Story Points"
    },
    "country": {
        "self": "https://api.tracker.yandex.net/v3/countries/1",
        "id": "1",
        "display": "Россия"
    },
    "calendar": {
        "id": 6
    }
  },
  ...
]
Response parameters

Parameter

Description

Data type

self

URL of the API resource containing board parameters

String

id

Board ID

Number

version

Board version. Each change to the board increments the version number

Number

name

Board name

String

createdAt

Board creation date in the YYYY-MM-DDThh:mm:ss.sss±hhmm format

String

updatedAt

Board last update date in the YYYY-MM-DDThh:mm:ss.sss±hhmm format

String

createdBy

Information about the user who created the board

Object

columns

Information about board columns

Array of objects

useRanking

This parameter is obsolete and does not affect board operation.

Whether you can change the order of issues on the board:

  • true: allowed;
  • false: not allowed.

Boolean

estimateBy

This parameter is obsolete and does not affect board operation.

Information about the issue field used to estimate effort

Object

country

This parameter is obsolete and does not affect board operation.

Country information

Object

calendar

An object that contains the calendar ID. Calendar data is used in the issue burn down chart.

Object

autoFilterSettings

Information about filter settings that are used to automatically add issues to the board and remove issues from the board

Object

Fields of the createdBy object

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Cloud Organization String

Fields of the columns object

Parameter Description Data type
self Address of the API resource with information about the issue parameter String
id Issue parameter ID String
display Displayed parameter name String

Fields of the autoFilterSettings object

Parameter Description Data type
addFilterSettings Object with filter settings for automatically adding issues to the board Object
removeFilterSettings Object with filter settings for automatically removing issues from the board Object

If the request failed, the API returns a response with an error code:

400
One or more request parameters have an invalid value.
403
You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
404
The requested object was not found. You may have specified an invalid object ID or key.
500
Internal service error. Try again later.
503
The API service is temporarily unavailable.

An issue board is a tool that helps you easily monitor and update issue statuses. On the board, issues are shown as cards distributed across columns of the board depending on their status.